Gnuplot 설치방법 or 버전업

[attachment=0:3idekbdl]선택 영역_009.jpeg[/attachment:3idekbdl][attachment=1:3idekbdl]선택 영역_008.jpeg[/attachment:3idekbdl]///설치화면 파일 첨부했습니다.

http://sourceforge.net/projects/gnuplot/

이곳에서 gnuplot 4.6.1을 다운받았습니다.

그리고 안에 들어있는 설명서대로 ./configure를 눌러서 설치를 했습니다.

물론 ubuntu사용자들은 ln ~~명령어 입력해야한다고 해서

그것도 미리 입력하고 설치를 했습니다.

하지만

gnuplot을 실행시켜봐도 12.04설치했을때의 기본버전이 4.4가 실행됩니다.

4.6.1을 설치하신분이 있나요?

설치가 안되는것 같아서

https://launchpad.net/ubuntu/+source/gnuplot/4.6.0-8

여기서 다운받아서 설치하려고 시도해봤지만

readme를 읽어도 install을 읽어도 뭐라고 하는지 모르겠습니다.

설치하신분들 있나요??

시냅틱 찾아보니 4.6.0.8 이 기본 버젼이던데 이걸론 설치가 안되던가요?

[attachment=0:f9p076mp]Selection_001.png[/attachment:f9p076mp]

[quote="nike984":3c3e31sz]시냅틱 찾아보니 4.6.0.8 이 기본 버젼이던데 이걸론 설치가 안되던가요?

[attachment=0:3c3e31sz]Selection_001.png[/attachment:3c3e31sz][/quote:3c3e31sz]

저는 확인해봐도 설치가 안되었다고 뜹니다 ㅠ 4.4로 확인이 됩니다

./configure 만 실행 하시면 컴파일 설정만 끝난 상태입니다…

컴파일과 설치는 아직 안 되었을텐데요…

./configure 실행 후 (무사히 설정이 끝난 상태라면)

make && sudo make install 을 하셔야 설치가 끝날텐데요…

하지만 source 컴파일은 권장사항이 아닙니다…

위에 분이 언급하신대로 apt-get 이나 synaptic을 통해 .deb 패키지를 설치하시는게 정신건강에 좋습니다…

12.04에는 gnuplot이 진짜 4.4가 default인가보네요

아래 ppa에 deb 패키지화된 gnuplot이 있으니 이걸 그냥 깔아서 쓰셔도 되고

[code:32ouhsts]sudo add-apt-repository ppa:gladky-anton/gnuplot;
sudo apt-get update;
sudo apt-get install gnuplot;[/code:32ouhsts]

아니면 개인이 관리하는 ppa는 못믿겠다 하시면 컴파일하셔도 됩니다.

[code:32ouhsts]sudo apt-get build-dep gnuplot;
sudo apt-get install automake checkinstall libwxgtk2.8-dev libpango1.0-dev;
sudo apt-get install libreadline5-dev libx11-dev libxt-dev texinfo libgd2-xpm-dev liblua5.1-dev;
sudo ln -s /usr/lib/pkgconfig/lua5.1.pc /usr/lib/pkgconfig/lua.pc;[/code:32ouhsts]
하셔서 일단 컴파일 준비를 하시고 나서
4.6 소스코드를 받아서 압축 풀고 그 폴더에 들어가서 이렇게 하시면 됩니다.

[code:32ouhsts]./prepare
./configure --with-readline=gnu --with-lua
make
sudo checkinstall
[/code:32ouhsts]

sudo checkinstall 실행 하고 나면 질문이 몇가지 나오는데
그냥 엔터 엔터 엔터 찍고 나면 deb package만들어지면서
설치가 다 될겁니다. 해보시고 컴파일 안된다 하시면 그냥 위에 ppa에서 받아서 설치하시는게 편할거구요.

출처 1) [url:32ouhsts]http://www.timteatro.net/2010/07/17/compiling-gnuplot-from-cvs-with-ubuntu/[/url:32ouhsts]